summaryrefslogtreecommitdiff
path: root/package/atftp/files/atftp.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'package/atftp/files/atftp.postinst')
-rw-r--r--package/atftp/files/atftp.postinst6
1 files changed, 6 insertions, 0 deletions
diff --git a/package/atftp/files/atftp.postinst b/package/atftp/files/atftp.postinst
new file mode 100644
index 000000000..dddd0b0d1
--- /dev/null
+++ b/package/atftp/files/atftp.postinst
@@ -0,0 +1,6 @@
+#!/bin/sh
+grep -q '^tftp[[:space:]]*69/tcp' ${IPKG_INSTROOT}/etc/services 2>/dev/null
+if [ $? -ne 0 ]; then
+ echo "tftp 69/tcp" >>${IPKG_INSTROOT}/etc/services
+ echo "tftp 69/udp" >>${IPKG_INSTROOT}/etc/services
+fi